Get user actions
curl --request GET \
--url https://api.yield.xyz/v1/actions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.yield.xyz/v1/actions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.yield.xyz/v1/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 100,
"offset": 0,
"limit": 20,
"items": [
{
"id": "action_123abc",
"intent": "manage",
"type": "CLAIM_REWARDS",
"yieldId": "ethereum-eth-lido-staking",
"address": "0x1234...",
"amount": "1000000000000000000",
"amountRaw": "1000000000000000000",
"amountUsd": "1500.50",
"transactions": [
{
"id": "tx_123abc",
"title": "Approve USDC",
"network": "ethereum",
"status": "PENDING",
"type": "STAKE",
"hash": "0x1234567890abcdef...",
"createdAt": "2023-11-07T05:31:56Z",
"broadcastedAt": "2023-11-07T05:31:56Z",
"signedTransaction": "<string>",
"unsignedTransaction": "0x02f87082012a022f2f83018000947a250d5630b4cf539739df2c5dacb4c659f2488d880de0b6b3a764000080c080a0ef0de6c7b46fc75dd6cb86dccc3cfd731c2bdf6f3d736557240c3646c6fe01a6a07cd60b58dfe01847249dfdd7950ba0d045dded5bbe410b07a015a0ed34e5e00d",
"annotatedTransaction": {
"method": "stake",
"inputs": {
"amount": "1000000000000000000"
}
},
"structuredTransaction": {},
"stepIndex": 0,
"description": "Approve USDC for staking",
"error": "<string>",
"gasEstimate": "21000",
"explorerUrl": "https://etherscan.io/tx/0x1234...",
"isMessage": false
}
],
"executionPattern": "synchronous",
"rawArguments": {
"amount": "1000000000000000000",
"validatorAddress": "cosmosvaloper1...",
"validatorAddresses": [
"cosmosvaloper1...",
"cosmosvaloper2..."
],
"providerId": "kiln",
"duration": 1209600,
"inputToken": "0xA0b86a33E6776C8DB91C5C7AcE16ccE5C5eE0d7E",
"subnetId": 1,
"feeConfigurationId": "custom-fee-config-1",
"cosmosPubKey": "cosmospub1...",
"tezosPubKey": "edpk...",
"cAddressBech": "0x123...",
"pAddressBech": "P-avax1...",
"executionMode": "individual",
"ledgerWalletApiCompatible": true
},
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Validation failed",
"error": "Bad Request",
"statusCode": 400
}{
"message": "Invalid API key",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "Rate limit exceeded",
"error": "Too Many Requests",
"statusCode": 429,
"retryAfter": 30
}{
"message": "Internal server error",
"error": "Internal Server Error",
"statusCode": 500
}Actions
Get user actions
Retrieve all actions performed by a user, with optional filtering by yield, status, category, etc. In the future, this may include personalized action recommendations.
GET
/
v1
/
actions
Get user actions
Authorizations
Query Parameters
Offset for pagination
Required range:
x >= 0Maximum number of items to return
Required range:
1 <= x <= 100User wallet address to get actions for
Filter actions by status
Available options:
pending, completed, failed Filter actions by intent
Available options:
enter, exit, manage Filter by action type
Available options:
STAKE, UNSTAKE, CLAIM_REWARDS, RESTAKE_REWARDS, WITHDRAW, WITHDRAW_ALL, RESTAKE, CLAIM_UNSTAKED, UNLOCK_LOCKED, STAKE_LOCKED, VOTE, REVOKE, VOTE_LOCKED, REVOTE, REBOND, MIGRATE, VERIFY_WITHDRAW_CREDENTIALS, DELEGATE Filter actions by specific yield
⌘I

